cURL
curl --request GET \
--url https://riona.ai/api/1.1/wf/telegram-user-account \
--header 'Authorization: Bearer <token>'import requests
url = "https://riona.ai/api/1.1/wf/telegram-user-account"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://riona.ai/api/1.1/wf/telegram-user-account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": {
"code": 200,
"message": "OK"
},
"profile": {
"masterID": "1756209348925x966570626030448800",
"userID": "1295901534",
"username": "null",
"platform": "telegram",
"url": "https://t.me/null",
"name": "Cristiano Ronaldo",
"image": "",
"description": "Admin: @cobbl\nAds: @Source_Ads , https://telega.io/c/cristiano",
"country": "",
"countryCode": "",
"city": "",
"type": "influencer",
"gender": "m",
"age": "35_45",
"communityStatus": "COLLECTING",
"isBlocked": true,
"isClosed": false,
"verified": false
},
"stats": {
"followersCount": 45592,
"avgLikes": 340,
"avgComments": 25,
"avgER": 0.0424667459008175,
"avgInteractions": 377,
"avgViews": 8866,
"ratingIndex": 45592.8316301088,
"qualityScore": 0.56106071179344
},
"lastUpdatedISO": "2025-08-26T11:55:46.927Z",
"lastUpdated": "26-08-2025"
}
Account & Posts
User Account🔑
Get Telegram user details
GET
/
wf
/
telegram-user-account
cURL
This endpoint returns the masterID, a unique identifier for each social account we track. It is required for other endpoints, so be sure to store it in your database for reuse.
{
"status": {
"code": 200,
"message": "OK"
},
"profile": {
"masterID": "1756209348925x966570626030448800",
"userID": "1295901534",
"username": "null",
"platform": "telegram",
"url": "https://t.me/null",
"name": "Cristiano Ronaldo",
"image": "",
"description": "Admin: @cobbl\nAds: @Source_Ads , https://telega.io/c/cristiano",
"country": "",
"countryCode": "",
"city": "",
"type": "influencer",
"gender": "m",
"age": "35_45",
"communityStatus": "COLLECTING",
"isBlocked": true,
"isClosed": false,
"verified": false
},
"stats": {
"followersCount": 45592,
"avgLikes": 340,
"avgComments": 25,
"avgER": 0.0424667459008175,
"avgInteractions": 377,
"avgViews": 8866,
"ratingIndex": 45592.8316301088,
"qualityScore": 0.56106071179344
},
"lastUpdatedISO": "2025-08-26T11:55:46.927Z",
"lastUpdated": "26-08-2025"
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Profile url. Example: https://t.me/cristiano
This is your account API Key. You can easily locate it in your account dashboard.
Response
200
OK
⌘I